WorldWideScripts.net Delivering the best Add-Ons in more than 37 languages.

中文(简体), English, हिन्दी/हिंदी, Español/Castellano, العربية, Русский язык, Français, 中文 (台灣), বাংলা, Bahasa Indonesia, اردو, Português, Deutsch, Bahasa Melayu (بهاس ملايو‎), 日本語 (にほんご), فارسی, Italiano, తెలుగు, Türkçe, ગુજરાતી, Język polski/polszczyzna, Tiếng Việt, ಕನ್ನಡ, Українська мова, ไทย
PHP Scripts / Miscellaneous

PHP Version Finder

— Add-On para WorldWideScripts.net

@pt1wwsAssine o nosso feed para se manter atualizado!

Novo! Siga-nos o que você quiser!


PHP Version Finder - CodeCanyon Item for Sale

Ads

Ad: Bluehost hosting

Siga me no twitter Siga-me no G + Siga-me no CodeCanyon Demonstração ao vivo

Demo - Não Banco de Dados (aleijado)
Demo - Banco de Dados (aleijado)
As demos são aleijado! Temos mexidos a verdadeira versão de cada função e extensão.

PHP Versão Finder - Atualizado para v 1.0.3c 12/9/2010

Verificar qual versão do PHP seu script exige. Quando perguntado qual a versão do PHP é necessário para executar nossos scripts nós não temos uma resposta definitiva. Criamos este script para determinar a versão do PHP e, em seguida, levou a um outro nível, buscando funções obsoletas. Mas nós não paramos apenas para isso. Foram incluídos extensões PHP e construções de linguagem. Nós quase o chamou de bom nisso, mas depois ficamos imaginando... quantas vezes usamos essas funções. O uso excessivo da mesma função pode ser degradar no desempenho. Monitoramento quantas vezes uma função é usada pode ajudar a determinar se um "User Criado Function" podem ser criados para reduzir o código e aumentar o desempenho.

Detecção

PHP Versão do Finder rastreia: 3044 Funções PHP, 2260 extensões PHP, 23 Idioma construtos, 19 sugestões alternativas, 7 dicas / truques / Notes. (Mais 69 Experimental, 20 Reprovado, 47 funções "svn")
O código não tem que ser completa nem funcionando. Ele não tem sequer a fazer sentido. Enquanto ele estiver entre <? Php e?> Ele será avaliado. Demonstração aleijado - A demo foi enfraquecida para impedir as pessoas de usá-lo em vez de comprá-lo.

Pare de adivinhar!

Verdade seja dita - a maioria dos desenvolvedores "ball-park" que versão do PHP é necessária por recordar algumas funções "chave" que eles usaram. Com PHP Versão do Finder você pode saber com certeza qual a versão do PHP é realmente necessário!
Não acho! - Executar PHP Versão Finder no seu script de saber ao certo o que verions de PHP é necessário para operar o seu roteiro!

Detecção obsoleta

PHP Versão do Finder permite saber se quaisquer funções que você usou estão obsoletos.
Detecção Reprovado - Verifique seus scripts de funções obsoletas

duas versões

O PHP versão Finder não requerem um banco de dados. No entanto, para aqueles de vocês que preferem usar um banco de dados, o script não inclui uma versão do banco de dados.
Optionhal Database - PHP versão localizador não requer um banco de dados, no entanto, uma versão alternativa é fornecida para aqueles que querem usar um banco de dados.
Por duas versões?
Tudo se resume a números. Se há muitas funções do PHP, a versão banco de dados não é mais rápido. Se há apenas algumas funções, a versão do banco de dados é mais rápido. Quanto mais rápido? Bem, é medido em micro segundos. Então não é realmente perceptível. Depois que fizemos a versão do banco de dados nós decidimos que não valia a pena o esforço como o seu desempenho não era perceptível diferente. Nós decidimos incluí-lo porque ele já foi construído - um brinde, se quiser.

Instalação

A instalação é simples. Faça o upload do diretório, editar duas configurações e está feito.
Installion - Upload 1 diretório para seu servidor, editar um arquivo de configuração e seu pronto para ir!

entradas

Você pode fazer upload de um arquivo do seu computador, digitalizar um arquivo ou diretório inteiro no servidor ou colar código em uma caixa para processamento.
Múltiplas Entradas - Você pode fazer upload de um arquivo, digitalizar um diretório ou verificar um bloco de código.

Sugestões alternativas

Se PHP Versão Finder encontra funções que são obsoletas, ele vai te dar sugestões alternativas que poderiam substituir a função obsoleta.
Sugestões alternativas - Você pode fazer o seu script Por exemplo:
se você usar file_put_contents (que requer PHP 5), PHP Versão do Finder permite-lhe saber que você poderia usar fwrite vez que poderia baixar a versão necessária para baixo para PHP 4. Não só isso, mas há uma nota anexada a file_put_contents que mostra o código para usar para fazer file_put_contents para trás compatível.

Comprar PHP Versão do Finder AGORA!

Faça a vida fácil! Encontrar funções obsoletas, obter sugestões para trás compatíveis e saber qual a versão do PHP é necessário para executar seus scripts
Comprar agora - Faça a vida fácil, encontrar funções obsoletas, obter sugestões para trás compatíveis e saber qual a versão do PHP é necessário para executar seus scripts.

Características atuais (v 1.0.0) - 12/1/2010

  • Banco de dados opcional
  • Detecção obsoleta
  • Upload de Arquivo da Processing
  • Processamento de diretório
  • Processamento de código colado
  • AutoComplete
  • Syntax Highlighter
  • 3044 Funções PHP
  • 2260 extensões do PHP
  • 23 construções de linguagem
  • 19 sugestões alternativas
  • 7 dicas / truques / Notas
  • Além de 69 funções experimentais
  • Acrescido de 20 funções obsoletas
  • Além de 47 "svn" / funções desconhecidas

Atualização v 1.0.1 12/3/2010

  • Avisos Aviso fixos
  • Fixos "variáveis ​​indefinidas" Erros
  • Erros de ortografia fixos
  • Atualizado o arquivo de ajuda para reflectir as alterações
  • Adicionado Explicação Licensing
  • Limparam o "Relatório de Arquivo"

Atualização v 1.0.2 12/4/2010

  • Avisos Aviso fixos
  • Fixos "variáveis ​​indefinidas" Erros
  • Atualizado o arquivo de ajuda para reflectir as alterações

Atualização v 1.0.3c 12/9/2010

  • Limpeza do código
  • Reescreveu como estatísticas são computados.
  • Reescreveu o "Relatório de Arquivo"

Download
Outros componentes nesta categoriaTodos os componentes deste autor
ComentáriosPerguntas mais frequentes perguntas e respostas

Propriedades

Criado:
December 3 10

Última atualização:
December 10 10

Alta resolução:
Não

Navegadores compatíveis:
IE7, IE8, Safari, Opera

arquivos incluídos:
JavaScript JS, HTML, CSS, PHP, SQL

Versão do software:
PHP 4.x, 5.x PHP, PHP 5,0-5,2, PHP 5.3, 5.x MySQL

Palavras-chave

comé, rcio eletrô, nico, comé, rcio eletrô, nico, Todos os itens, aviso obsoleto, versã, o php, destaque de sintaxe